<span>{{product?.id}} - {{product?.name | uppercase}} {{product?.price | currency:'$'}} ({{product?.description}})</span>
<a [routerLink]="'/products/' + product?.id">details</a>
<button (click)="onDeleteClicked()">delete</button>
